Skip to main content
GET
/
api
/
v1
/
search
Search
curl --request GET \
  --url https://app.eventgraph.ai/api/v1/search \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "events": [
      {
        "id": "<string>",
        "title": "<string>",
        "platform": "<string>",
        "category": "<string>",
        "status": "<string>",
        "image_url": "<string>",
        "market_count": 123,
        "total_volume": 123,
        "volume_24h": 123,
        "liquidity": 123,
        "start_time": "2023-11-07T05:31:56Z",
        "end_time": "2023-11-07T05:31:56Z",
        "tags": [
          "<string>"
        ]
      }
    ],
    "markets": [
      {
        "id": "<string>",
        "title": "<string>",
        "platform": "polymarket",
        "yes_price": 123,
        "no_price": 123,
        "volume": 123,
        "volume_24h": 123,
        "status": "open",
        "url": "<string>",
        "last_updated": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "timestamp": "2023-11-07T05:31:56Z",
  "meta": {
    "query": "<string>",
    "events_found": 123,
    "markets_found": 123,
    "response_ms": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your EventGraph API key (eg_live_...)

Query Parameters

q
string
required

Search query (2-200 characters)

Required string length: 2 - 200
platform
enum<string>
Available options:
polymarket,
kalshi,
limitless,
opiniontrade
limit
integer
default:20
Required range: 1 <= x <= 100

Response

200 - application/json

Search results

data
object
timestamp
string<date-time>
meta
object